2019-08-23 15:39 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005855Spring engineGeneralpublic2018-01-08 01:17
Reportersilentwings 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version 
Summary0005855: crash with 104.0.1-104-g2135e2e maintenance
DescriptionSee infolog
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files
  • txt file icon infolog.txt (86,640 bytes) 2017-12-27 17:29 -
    Using writeable configuration source: "C:\Users\Nic\Documents\My Games\Spring\springsettings.cfg"
    Using additional read-only configuration source: "C:\Users\Nic\Documents\Spring\springsettings.cfg"
    Available log sections: RoamMeshDrawer, FarTextureHandler, GroundMoveType, Texture, BumpWater, AutohostInterface, Font, Net, Shader, KeyBindings, CSMFGroundTextures, ModelRenderContainer, DynWater, GameServer, Sound, Path, ArchiveScanner, DecalsDrawerGL4, CregSerializer, Piece, LuaSocket, SkyBox, VFS, Model
    Enabled log sections: Sound(Notice)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    ============== <User Config> ==============
      AdvSky = 1
      AllowDeferredMapRendering = 1
      AllowDeferredModelRendering = 1
      AllowSpectatorJoin = 0
      CamMode = 1
      DisableDemoVersionCheck = 1
      GrassDetail = 0
      GroundDetail = 120
      InputTextGeo = 0.26 0.73 0.02 0.028
      LastSelectedMap = Ibex v1
      LastSelectedMod = Balanced Annihilation V9.46
      LastSelectedScript = Player Only: Testing Sandbox
      LastSelectedSetting = MaxLuaGarbageCollectionTime
      LogFlushLevel = 0
      MapBorder = 0
      MaxLuaGarbageCollectionTime = 1.5
      MaxParticles = 12000
      ScreenshotCounter = 893
      ShadowMapSize = 2047
      Shadows = 1
      ShowFPS = 1
      ShowPlayerInfo = 0
      ShowSpeed = 1
      SpringData = C:/Users/Nic/Documents/My Games/Spring;
      UnitIconDist = 250
      UnitLodDist = 500
      UsePBO = 0
      WindowPosX = 0
      WindowPosY = 22
      XResolutionWindowed = 1352
      YResolutionWindowed = 810
      snd_volbattle = 2
      snd_volmaster = 13
      snd_volmusic = 13
    ============== </User Config> ==============
    ============== <User System> ==============
      Spring 104.0.1-104-g2135e2e maintenance
        Build Environment: boost-105500, GNU libstdc++ version 20130531
         Compiler Version: gcc-4.8.1
         Operating System: Microsoft Windows
    Microsoft Windows 7 Home Premium Edition, 64-bit Service Pack 1 (build 7601)
    Intel(R) Core(TM) i7-3740QM CPU @ 2.70GHz; 8154MB RAM, 16306MB pagefile
         Binary Word Size: 32-bit emulated
         Deque Chunk Size: 128
            Process Clock: std::chrono::high_resolution_clock
       Physical CPU Cores: 4
        Logical CPU Cores: 8
    ============== </User System> ==============
    [good_fpu_init] CPU SSE mask: 127, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    [WatchDogInstall] Installed (HangTimeout: 10sec)
    [WatchDog::RegisterThread] registering controls for thread [main]
    [GL::CheckAvailableVideoModes] desktop={1920x1080x24bpp@60Hz} current={1920x1080x24bpp@60Hz}
    	display=1 modes=68 bounds={x=0, y=0, w=1920, h=1080}
    		[ 1] 1920x1080x24bpp@60Hz
    		[ 5] 1680x1050x24bpp@60Hz
    		[ 9] 1600x1024x24bpp@60Hz
    		[13] 1600x900x24bpp@60Hz
    		[33] 1280x800x24bpp@60Hz
    		[41] 1280x720x24bpp@60Hz
    [GR::CreateSDLWindow] using 0x anti-aliasing and 24-bit depth-buffer (PF="SDL_PIXELFORMAT_RGB888") for main window
    [GR::CreateSDLWindow] using 0x anti-aliasing and 24-bit depth-buffer (PF="SDL_PIXELFORMAT_RGB888") for hidden window
    Warning: [GR::CreateGLContext] error ("Could not create GL context: 橢瘤(") creating main GL2.0 core-context
    Warning: [GR::CreateGLContext] error ("Could not create GL context: ((p") creating main GL2.0 compatibility-context
    Warning: [GR::CreateGLContext] error ("Could not create GL context: (({") creating main GL2.1 core-context
    Warning: [GR::CreateGLContext] error ("Could not create GL context: ((r") creating main GL2.1 compatibility-context
    Warning: [GR::CreateGLContext] error ("Could not create GL context: (({") creating main GL3.0 core-context
    Warning: [GR::CreateGLContext] error ("Could not create GL context: ((r") creating main GL3.0 compatibility-context
    Warning: [GR::CreateGLContext] error ("Could not create GL context: (({") creating main GL3.1 core-context
    Warning: [GR::CreateGLContext] error ("Could not create GL context: ((r") creating main GL3.1 compatibility-context
    Warning: [GR::CreateGLContext] created main GL3.2 core-context
    Warning: [GR::CreateGLContext] created main GL3.2 compatibility-context
    Warning: [GR::CreateGLContext] created main GL3.3 core-context
    Warning: [GR::CreateGLContext] created main GL3.3 compatibility-context
    Warning: [GR::CreateGLContext] created main GL4.0 core-context
    Warning: [GR::CreateGLContext] created main GL4.0 compatibility-context
    Warning: [GR::CreateGLContext] created main GL4.1 core-context
    Warning: [GR::CreateGLContext] created main GL4.1 compatibility-context
    Warning: [GR::CreateGLContext] created main GL4.2 core-context
    Warning: [GR::CreateGLContext] created main GL4.2 compatibility-context
    Warning: [GR::CreateGLContext] error ("Could not create GL context: ((I") creating main GL4.3 core-context
    Warning: [GR::CreateGLContext] error ("Could not create GL context: ((r") creating main GL4.3 compatibility-context
    Warning: [GR::CreateGLContext] error ("Could not create GL context: (({") creating main GL4.4 core-context
    Warning: [GR::CreateGLContext] error ("Could not create GL context: ((r") creating main GL4.4 compatibility-context
    Warning: [GR::CreateGLContext] error ("Could not create GL context: (({") creating main GL4.5 core-context
    Warning: [GR::CreateGLContext] error ("Could not create GL context: ((r") creating main GL4.5 compatibility-context
    Warning: [GR::CreateGLContext] error ("Could not create GL context: (({") creating main GL4.6 core-context
    Warning: [GR::CreateGLContext] error ("Could not create GL context: ((r") creating main GL4.6 compatibility-context
    [GR::LogVersionInfo]
    	SDL version : 2.0.4 (linked) / 2.0.4 (compiled)
    	GL version  : 3.2.0
    	GL vendor   : NVIDIA Corporation
    	GL renderer : GeForce GT 650M/PCIe/SSE2
    	GLSL version: 1.50 NVIDIA via Cg compiler
    	GLEW version: 2.1.0
    	GPU memory  : 2048MB (total) / 1878MB (available)
    	SDL swap-int: 1
    	
    	ARB shader support        : 1
    	GLSL shader support       : 1
    	FBO extension support     : 1
    	NVX GPU mem-info support  : 1
    	ATI GPU mem-info support  : 0
    	NPOT-texture support      : 1 (1)
    	texture query-LOD support : 1 (1)
    	24-bit Z-buffer support   : 1 (-)
    	primitive-restart support : 1 (1)
    	clip-space control support: 0 (0)
    	frag-depth layout support : 0 (-)
    	
    	max. FBO samples             : 32
    	max. texture size            : 16384
    	max. texture anisotropy level: 16.000000
    	max. vec4 varyings/attributes: 31/16
    	max. draw-buffers            : 8
    	max. rec. indices/vertices   : 1048576/1048576
    	max. uniform buffer-bindings : 60
    	max. uniform block-size      : 64KB
    	
    	enable ATI-hacks : 0
    	compress MIP-maps: 0
    [GR::ToggleGLDebugOutput] OpenGL debug-context not installed (dbgErrors=0 dbgTraces=0)
    [VSync::SetInterval] interval=0 (disabled)
    [GR::LogDisplayMode] display-mode set to 1920x1080x24bpp@60Hz (fullscreen::decorated)
    [WatchDog::RegisterThread] registering controls for thread [vfsi]
    Using read-write data directory: C:\Users\Nic\Documents\My Games\Spring\
    Using read-only data directory: C:\Users\Nic\Documents\Spring\
    Using read-only data directory: C:\Users\Nic\Documents\My Games\Spring\engine\104.0.1-104-g2135e2e maintenance\
    Scanning: C:\Users\Nic\Documents\My Games\Spring\engine\104.0.1-104-g2135e2e maintenance\base
    Scanning: C:\Users\Nic\Documents\My Games\Spring\maps
    Scanning: C:\Users\Nic\Documents\My Games\Spring\games
    Scanning: C:\Users\Nic\Documents\My Games\Spring\packages
    [~ScopedOnceTimer][CArchiveScanner::ScanAllDirs] 481ms
    [WatchDog::DeregisterThread] deregistering controls for thread [vfsi]
    [ThreadPool::SetThreadCount][1] wanted=3 current=1 maximum=4 (init=1)
    [ThreadPool::SetThreadCount][2] workers=2
    [Threading] Main thread CPU affinity mask set: 252
    [f=-000001] [~ScopedOnceTimer][ISound::Init::New] 1ms
    [f=-000001] [Sound] [Sound::UpdateThread][1] cfgMaxSounds=128
    [f=-000001] [Sound] [ISound::Initialize] spawning sound-thread (0.0ms)
    [f=-000001] [WatchDog::RegisterThread] registering controls for thread [audio]
    [f=-000001] [Sound] [Sound::InitThread][1]
    [f=-000001] [Sound] [Sound::InitThread][2] opening default device "OpenAL Soft"
    [f=-000001] [Sound] [Sound::InitThread][3] device=0529dc50 context=050f8270
    [f=-000001] [Sound] [Sound::InitThread][4][OpenAL API Info]
    [f=-000001] [Sound]   Vendor:         OpenAL Community
    [f=-000001] [Sound]   Version:        1.1 ALSOFT 1.16.0
    [f=-000001] [Sound]   Renderer:       OpenAL Soft
    [f=-000001] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_block_alignment AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFT_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_MSADPCM AL_SOFT_source_latency AL_SOFT_source_length
    [f=-000001] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFTX_device_clock ALC_SOFTX_HRTF ALC_SOFT_loopback ALC_SOFTX_midi_interface ALC_SOFT_pause_device
    [f=-000001] [Sound]   Devices:
    [f=-000001] [Sound]     [Speakers (Realtek High Definition Audio)]
    [f=-000001] [Sound]     [Speakers (Realtek High Definition Audio)]
    [f=-000001] [Sound] [Sound::GetMaxMonoSources] #attribs=15
    [f=-000001] [Sound] [Sound::GetMaxMonoSources] {cfg,alc}MaxSounds={128,255}
    [f=-000001] [Sound] Error:   EFX: AL_INVALID_VALUE (40963)
    [f=-000001] [Sound] Error:   Initializing EFX failed!
    [f=-000001] [Sound] [Sound::UpdateThread][2]
    [f=-000001] [~ScopedOnceTimer][ISound::Init::Dev] 100ms
    [f=-000001] [StartScript] Loading StartScript from: C:\Users\Nic\AppData\Roaming\springlobby\script.txt
    [f=-000001] [CPreGame] client using IP 47.149.24.21 and port 8011
    [f=-000001] [NetProto::InitClient] connecting to IP 47.149.24.21 on port 8011 using name [Fx]Bluestone
    [f=-000001] [GR::LogDisplayMode] display-mode set to 1920x1080x24bpp@60Hz (fullscreen::decorated)
    [f=-000001] [PreGame::AddGameSetupArchivesToVFS] using map: DeltaSiegePrime Ultimate
    [f=-000001] [PreGame::AddGameSetupArchivesToVFS] using game: Balanced Annihilation V10.01 (archive: 27b60025beae995ba7953238c9675864.sdp)
    [f=-000001] [~CPoolArchive] name="C:\Users\Nic\Documents\My Games\Spring\packages\27b60025beae995ba7953238c9675864.sdp" numZipFiles=6249 sumInflSize=100890kb sumReadTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack_14.png" indx=8 inflSize=1kb readTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack_15.png" indx=9 inflSize=1kb readTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack_10.png" indx=4 inflSize=1kb readTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack_13.png" indx=7 inflSize=1kb readTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack_11.png" indx=5 inflSize=1kb readTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack_1.png" indx=3 inflSize=1kb readTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack.txt" indx=1 inflSize=0kb readTime=0ms
    [f=-000001] 	file=".gitattributes" indx=0 inflSize=0kb readTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack_0.png" indx=2 inflSize=1kb readTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack_12.png" indx=6 inflSize=1kb readTime=0ms
    [f=-000001] PreGame::GameDataReceived] recording demo to "C:\Users\Nic\Documents\My Games\Spring\demos\20171227_162535_DeltaSiegePrime Ultimate_104.0.1-104-g2135e2e maintenance.sdfz"
    [f=-000001] [~ScopedOnceTimer][PreGame::GameDataReceived] 125ms
    [f=-000001] [PreGame::UpdateClientNet] received user number 19 (team 0, allyteam 0), creating load-screen
    [f=-000001] [LuaIntro] Searching for new Widgets
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/chili/
    [f=-000001] [LuaIntro] Found new widget "SpringLogo"
    [f=-000001] [LuaIntro] Found new widget "LoadTexture"
    [f=-000001] [LuaIntro] Found new widget "LoadProgress"
    [f=-000001] [LuaIntro] Found new widget "Main"
    [f=-000001] [LuaIntro] Found new widget "Music"
    [f=-000001] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=-000001] [LuaIntro] Loading widget:      Engine Taskbar Stuff   <engine_taskbar_control.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=-000001] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=-000001] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=-000001] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=-000001] [LoadScreen::Init] single-threaded
    [f=-000001] [WatchDog::RegisterThread] registering controls for thread [load]
    [f=-000001] [Game::LoadGame][1] globalQuit=0 threaded=0
    [f=-000001] Parsing Map Information
    [f=-000001] Loading SMF
    [f=-000001] Loading Map (81 MB)
    [f=-000001] Loading Radar Icons
    [f=-000001] Loading GameData Definitions
    [f=-000001] [defs.lua] loading all *Defs tables: 214ms
    [f=-000001] [~ScopedOnceTimer][Game::LoadDefs (GameData)] 275ms
    [f=-000001] Loading Sound Definitions
    [f=-000001] [Sound]  parsed 28 sounds from gamedata/sounds.lua
    [f=-000001] [~ScopedOnceTimer][Game::LoadDefs (Sound)] 2ms
    [f=-000001] [Game::LoadGame][2] globalQuit=0 forcedQuit=0
    [f=-000001] Creating Smooth Height Mesh
    [f=-000001] [~ScopedOnceTimer][SmoothHeightMesh::MakeSmoothMesh] 49ms
    [f=-000001] Creating QuadField & CEGs
    [f=-000001] [CDamageArrayHandler] number of ArmorDefs: 17
    [f=-000001] [RegisterAssimpModelFormats] supported Assimp model formats: *.3ds;*.blend;*.dae;*.lwo;*.obj;
    [f=-000001] Creating Unit Textures
    [f=-000001] Creating Sky
    [f=-000001] [Game::LoadGame][3] globalQuit=0 forcedQuit=0
    [f=-000001] Loading Weapon Definitions
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (WeaponDefs)] 1594ms
    [f=-000001] Loading Unit Definitions
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (UnitDefs)] 157ms
    [f=-000001] Loading Feature Definitions
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (FeatureDefs)] 40ms
    [f=-000001] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=-000001] Initializing Map Features
    [f=-000001] Creating ShadowHandler
    [f=-000001] Creating InfoTextureHandler
    [f=-000001] InfoTexture: shaders
    [f=-000001] Creating GroundDrawer
    [f=-000001] Loading Map Tiles
    [f=-000001] Loading Square Textures
    [f=-000001] [~ScopedOnceTimer][CSMFGroundTextures::ConvolveHeightMap] 4ms
    [f=-000001] Switching to ROAM Mesh Rendering
    [f=-000001] Creating TreeDrawer
    [f=-000001] Loaded DecalsDrawer: Legacy
    [f=-000001] Creating ProjectileDrawer & UnitDrawer
    [f=-000001] Creating Projectile Textures
    [f=-000001] Warning: [CCEG::ParseExplosionCode] unknown op-code "t" in "true" at index 1
    [f=-000001] Warning: [CCEG::ParseExplosionCode] unknown op-code "u" in "true" at index 3
    [f=-000001] Warning: [CCEG::ParseExplosionCode] unknown op-code "e" in "true" at index 4
    [f=-000001] Warning: [CCEG::ParseExplosionCode] unknown op-code "t" in "true" at index 1
    [f=-000001] Warning: [CCEG::ParseExplosionCode] unknown op-code "u" in "true" at index 3
    [f=-000001] Warning: [CCEG::ParseExplosionCode] unknown op-code "e" in "true" at index 4
    [f=-000001] Creating Water
    [f=-000001] [Game::LoadGame][4] globalQuit=0 forcedQuit=0
    [f=-000001] [~ScopedOnceTimer][Game::LoadInterface (Camera&Mouse)] 98ms
    [f=-000001] [~ScopedOnceTimer][Game::LoadInterface (Console)] 18ms
    [f=-000001] Loading LuaRules
    [f=-000001] [ChickenDefense: Chicken Overseer] Deactivated!
    [f=-000001] [ChickenDefense: ProgenitorSpawner] Deactivated!
    [f=-000001] [ChickenDefense: Chicken Defense Spawner] Deactivated!
    [f=-000001] [ChickenDefense: Chicken Special Damage] Deactivated!
    [f=-000001] Loaded synced gadget:  Metalspot Finder Gadget  <mex_spot_finder.lua>
    [f=-000001] Loaded synced gadget:  Rez Exp             <unit_rez_exp.lua>
    [f=-000001] Loaded synced gadget:  Stats               <api_damage_stats.lua>
    [f=-000001] Loaded synced gadget:  ranks api           <api_ranks.lua>
    [f=-000001] [Gaia Critters] gadget:Initialize() Game.mapName=DeltaSiegePrime Ultimate
    [f=-000001] [Gaia Critters] No critter config for this map
    [f=-000001] Loaded synced gadget:  gaia critter units  <gaia_critters.lua>
    [f=-000001] Loaded synced gadget:  IconGenerator       <unit_icongenerator.lua>
    [f=-000001] Loaded synced gadget:  CameraBroadcast     <camera_lockcamera.lua>
    [f=-000001] Loaded synced gadget:  Awards              <gui_awards.lua>
    [f=-000001] Loaded synced gadget:  Map TerrainTypes    <map_terraintype.lua>
    [f=-000001] Loaded synced gadget:  Map Waterlevel      <map_waterlevel.lua>
    [f=-000001] Loaded synced gadget:  Newbie Info         <gui_newbie_info.lua>
    [f=-000001] Loaded synced gadget:  ARMSUB SURFACING Testing gadget  <armsubsurface.lua>
    [f=-000001] Loaded synced gadget:  Activity Broadcast  <activity_broadcast.lua>
    [f=-000001] Loaded synced gadget:  Air Release         <unit_air_release_manager.lua>
    [f=-000001] Loaded synced gadget:  Air Transports Handler  <air_transports.lua>
    [f=-000001] Loaded synced gadget:  Air Transports fix  <air_transports_fix.lua>
    [f=-000001] Loaded synced gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=-000001] Loaded synced gadget:  Ally Selected Units  <cmd_selected_units.lua>
    [f=-000001] Loaded synced gadget:  Bet Engine          <cmd_bet_engine.lua>
    [f=-000001] Loaded synced gadget:  Bomber Control      <unit_bomber_control.lua>
    [f=-000001] Loaded synced gadget:  Build Icons Slowy (/luarules buildiconslow)  <dbg_buildicons_run.lua>
    [f=-000001] Loaded synced gadget:  Cancel orders on share  <unit_cancel_orders_on_share.lua>
    [f=-000001] Loaded synced gadget:  Com Counter         <mo_com_counter.lua>
    [f=-000001] Loaded synced gadget:  Commando Watch      <unit_commando_watch.lua>
    [f=-000001] Loaded synced gadget:  Controls Unit's maxrange  <unit_custommaxranges.lua>
    [f=-000001] Loaded synced gadget:  Cursor Broadcast    <cmd_mouse_pos_broadcast.lua>
    [f=-000001] Loaded synced gadget:  DGun CmdType Fix    <unit_dgun_cmdtype_fix.lua>
    [f=-000001] Loaded synced gadget:  Death Messages      <game_death_messages.lua>
    [f=-000001] Loaded synced gadget:  Debris Damage       <unit_debris_damage.lua>
    [f=-000001] Loaded synced gadget:  Debris Explosions   <gfx_debrisexplosions.lua>
    [f=-000001] Loaded synced gadget:  Debris physics      <feature_debris_physics.lua>
    [f=-000001] Loaded synced gadget:  Depthcharge splash  <fx_depthcharge_splash.lua>
    [f=-000001] Loaded synced gadget:  Dev Helper Cmds     <cmd_dev_helpers.lua>
    [f=-000001] Loaded synced gadget:  DirectControl       <unit_direct_control.lua>
    [f=-000001] Loaded synced gadget:  Don't target flyover nukes  <unit_interceptors.lua>
    [f=-000001] Loaded synced gadget:  DragonsDisguise     <unit_set_neutral.lua>
    [f=-000001] Loaded synced gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=-000001] Loaded synced gadget:  Energy Conversion   <game_energy_conversion.lua>
    [f=-000001] Loaded synced gadget:  Engine Hotfixes for Various Engine Kludges  <engine_hotfixes.lua>
    [f=-000001] Loaded synced gadget:  Experimental Bots Steps Damages  <unit_stomp.lua>
    [f=-000001] Loaded synced gadget:  Explosion_lights    <gfx_explosion_lights.lua>
    [f=-000001] Loaded synced gadget:  FPS Broadcast       <fps_broadcast.lua>
    [f=-000001] Loaded synced gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=-000001] Loaded synced gadget:  Fortification Walls  <unit_fort_walls.lua>
    [f=-000001] Loaded synced gadget:  Game End            <game_end.lua>
    [f=-000001] Loaded synced gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=-000001] Loaded synced gadget:  Juno Damage         <unit_juno_damage.lua>
    [f=-000001] Loaded synced gadget:  Lightning Spash Damage  <unit_lightning_splash_dmg.lua>
    [f=-000001] Loaded synced gadget:  Lua unit script framework  <unit_script.lua>
    [f=-000001] Loaded synced gadget:  LuaUI Reload        <cmd_luaui_reload.lua>
    [f=-000001] Loaded synced gadget:  Maverick Exp        <unit_maverick_exp.lua>
    [f=-000001] Loaded synced gadget:  Merc/Scr stockpile control  <unit_mercscr_stockpile_limit.lua>
    [f=-000001] Loaded synced gadget:  Missile smoke       <fx_missile_smoke.lua>
    [f=-000001] Loaded synced gadget:  NanoTC Platforms    <unit_nanotcplat.lua>
    [f=-000001] Loaded synced gadget:  No Land Damage      <unit_no_land_damage.lua>
    [f=-000001] Loaded synced gadget:  No Self Pwn         <unit_noselfpwn.lua>
    [f=-000001] Loaded synced gadget:  No Share Self-D     <unit_prevent_share_self_d.lua>
    [f=-000001] Loaded synced gadget:  Nonblocking mines   <unit_nonblocking_mines.lua>
    [f=-000001] Loaded synced gadget:  Paralyze Damage Multiplier  <unit_paralyze_damage_multiplier.lua>
    [f=-000001] Loaded synced gadget:  Passive Builders v3  <unit_passive_builders.lua>
    [f=-000001] Loaded synced gadget:  PlasmaAutoHighTraj  <unit_plasma_auto_hightraj.lua>
    [f=-000001] Loaded synced gadget:  PopUpWaterStructures  <unit_pop_up_water_structures.lua>
    [f=-000001] Loaded synced gadget:  Prevent Excessive Share  <game_prevent_excessive_share.lua>
    [f=-000001] Loaded synced gadget:  Prevent Lab Hax     <unit_prevent_lab_hax.lua>
    [f=-000001] Loaded synced gadget:  Prevent Lab Hax2    <unit_prevent_lab_hax2.lua>
    [f=-000001] Loaded synced gadget:  Prevent Load Hax    <unit_prevent_load_hax.lua>
    [f=-000001] Loaded synced gadget:  Prevent Range Hax   <unit_prevent_range_hax.lua>
    [f=-000001] Loaded synced gadget:  Prevent Strange Orders  <unit_prevent_strange_orders.lua>
    [f=-000001] Loaded synced gadget:  Prevent Unload Hax  <unit_prevent_unload_hax.lua>
    [f=-000001] Loaded synced gadget:  Prevent outside-of-map hax  <unit_prevent_aircraft_hax.lua>
    [f=-000001] Loaded synced gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=-000001] Loaded synced gadget:  Reclaim effect      <gfx_reclaim_fx.lua>
    [f=-000001] Loaded synced gadget:  Remove Stop         <cmd_remove_stop.lua>
    [f=-000001] Loaded synced gadget:  Remove Wait         <cmd_remove_wait.lua>
    [f=-000001] Loaded synced gadget:  ReverseMovementHandler  <unit_reverse_move.lua>
    [f=-000001] Loaded synced gadget:  SeaPlatforms        <unit_sea_platform.lua>
    [f=-000001] Loaded synced gadget:  Shipyards Collisions  <unit_shipyardcollisions.lua>
    [f=-000001] Loaded synced gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=-000001] Loaded synced gadget:  Stealthy Passengers  <unit_stealthy_passengers.lua>
    [f=-000001] Loaded synced gadget:  Stun Control        <unit_stun_control.lua>
    [f=-000001] Loaded synced gadget:  Stun Energy Storage  <unit_stun_energy_storage.lua>
    [f=-000001] Loaded synced gadget:  Stun Metal Storage  <unit_stun_metal_storage.lua>
    [f=-000001] Loaded synced gadget:  System info         <system_info.lua>
    [f=-000001] Loaded synced gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=-000001] Loaded synced gadget:  Team Resourcing     <game_team_resources.lua>
    [f=-000001] Loaded synced gadget:  Transportee Hider   <unit_transportee_hider.lua>
    [f=-000001] Loaded synced gadget:  TurnRadius          <unit_airunitsturnradius.lua>
    [f=-000001] Loaded synced gadget:  Unally on demand    <cmd_alliance_break.lua>
    [f=-000001] Loaded synced gadget:  Unit transportable nanos  <unit_transportable_nanos.lua>
    [f=-000001] Loaded synced gadget:  Watereffects        <fx_watersplash.lua>
    [f=-000001] Loaded synced gadget:  Xmas effects        <unit_xmas.lua>
    [f=-000001] Loaded synced gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=-000001] Loaded synced gadget:  game_No_Gib_Damage.lua  <game_no_gib_damage.lua>
    [f=-000001] Loaded synced gadget:  game_no_share_to_enemy  <game_no_share_to_enemy.lua>
    [f=-000001] Loaded synced gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=-000001] Loaded synced gadget:  lib_startpoint_guesser.lua  <lib_startpoint_guesser.lua>
    [f=-000001] Loaded synced gadget:  lups_cloak_fx.lua   <lups_cloak_fx.lua>
    [f=-000001] Loaded synced gadget:  lups_thrusters.lua  <lups_thrusters.lua>
    [f=-000001] Loaded synced gadget:  lups_wrapper.lua    <lups_wrapper.lua>
    [f=-000001] Loaded synced gadget:  mo_preventcombomb   <mo_preventcombomb.lua>
    [f=-000001] Loaded synced gadget:  subMissile splash   <fx_submissile_splash.lua>
    [f=-000001] Loaded synced gadget:  transportfix        <unit_transportfix.lua>
    [f=-000001] Loaded synced gadget:  unit_combomb_full_damage  <unit_combomb_full_damage.lua>
    [f=-000001] Loaded synced gadget:  Airbase Manager     <unit_airbase.lua>
    [f=-000001] Loaded synced gadget:  Area Attack         <unit_areaattack.lua>
    [f=-000001] Loaded synced gadget:  Control Victory     <game_controlvictory.lua>
    [f=-000001] Loaded synced gadget:  CustomUnitShaders   <gfx_customunitshaders.lua>
    [f=-000001] Loaded synced gadget:  Give Command        <cmd_give.lua>
    [f=-000001] Loaded synced gadget:  Take Manager        <cmd_idle_players.lua>
    [f=-000001] Loaded synced gadget:  Team Com Ends + dead allyteam blowup  <game_team_com_ends.lua>
    [f=-000001] Loaded synced gadget:  Undo Self Destruction Havoc  <cmd_undo.lua>
    [f=-000001] Loaded synced gadget:  Substitution        <game_replace_afk_players.lua>
    [f=-000001] Loaded synced gadget:  resurrected param   <unit_resurrected.lua>
    [f=-000001] Loaded synced gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=-000001] Loaded synced gadget:  Mobile Unit Paralyze Damage Handler  <unit_paralyze_damage_limit.lua>
    [f=-000001] Loaded synced gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=-000001] Loaded synced gadget:  Fighter radius      <unit_fighterradius.lua>
    [f=-000001] Loaded synced gadget:  Profiler            <dbg_profiler.lua>
    [f=-000001] Loaded synced gadget:  Version Warning     <version_warning.lua>
    [f=-000001] <LockCamera>: Sorry for the camera switch spam, but this is the only reliable way to list camera states other than hardcoding them
    [f=-000001] Switching to Overview style camera
    [f=-000001] Switching to Spring style camera
    [f=-000001] Switching to Free style camera
    [f=-000001] Switching to Rotatable overhead camera
    [f=-000001] Switching to Overhead (TA) style camera
    [f=-000001] Switching to FPS style camera
    [f=-000001] Switching to Overhead (TA) style camera
    [f=-000001] [ChickenDefense: Chicken Overseer] Deactivated!
    [f=-000001] [ChickenDefense: ProgenitorSpawner] Deactivated!
    [f=-000001] [ChickenDefense: Chicken Defense Spawner] Deactivated!
    [f=-000001] [ChickenDefense: Chicken Special Damage] Deactivated!
    [f=-000001] Loaded unsynced gadget:  Stats               <api_damage_stats.lua>
    [f=-000001] Loaded unsynced gadget:  ranks api           <api_ranks.lua>
    [f=-000001] Loaded unsynced gadget:  CustomIcons         <unit_customicons.lua>
    [f=-000001] Loaded unsynced gadget:  IconGenerator       <unit_icongenerator.lua>
    [f=-000001] Loaded unsynced gadget:  CameraBroadcast     <camera_lockcamera.lua>
    [f=-000001] Loaded unsynced gadget:  Awards              <gui_awards.lua>
    [f=-000001] Loaded unsynced gadget:  Map TerrainTypes    <map_terraintype.lua>
    [f=-000001] Loaded unsynced gadget:  Map Waterlevel      <map_waterlevel.lua>
    [f=-000001] Loaded unsynced gadget:  Newbie Info         <gui_newbie_info.lua>
    [f=-000001] Loaded unsynced gadget:  Sun Handler         <map_sun_handler.lua>
    [f=-000001] Loaded unsynced gadget:  ARMSUB SURFACING Testing gadget  <armsubsurface.lua>
    [f=-000001] Loaded unsynced gadget:  Activity Broadcast  <activity_broadcast.lua>
    [f=-000001] Loaded unsynced gadget:  Air Release         <unit_air_release_manager.lua>
    [f=-000001] Loaded unsynced gadget:  Air Transports Handler  <air_transports.lua>
    [f=-000001] Loaded unsynced gadget:  Air Transports fix  <air_transports_fix.lua>
    [f=-000001] Loaded unsynced gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=-000001] Loaded unsynced gadget:  Ally Selected Units  <cmd_selected_units.lua>
    [f=-000001] Loaded unsynced gadget:  Bet Engine          <cmd_bet_engine.lua>
    [f=-000001] Loaded unsynced gadget:  Build Icons Slowy (/luarules buildiconslow)  <dbg_buildicons_run.lua>
    [f=-000001] Loaded unsynced gadget:  Cancel orders on share  <unit_cancel_orders_on_share.lua>
    [f=-000001] Loaded unsynced gadget:  Cursor Broadcast    <cmd_mouse_pos_broadcast.lua>
    [f=-000001] Loaded unsynced gadget:  Debris Damage       <unit_debris_damage.lua>
    [f=-000001] Loaded unsynced gadget:  Debris Explosions   <gfx_debrisexplosions.lua>
    [f=-000001] Loaded unsynced gadget:  Dev Helper Cmds     <cmd_dev_helpers.lua>
    [f=-000001] Loaded unsynced gadget:  DragonsDisguise     <unit_set_neutral.lua>
    [f=-000001] Loaded unsynced gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=-000001] Loaded unsynced gadget:  Engine Hotfixes for Various Engine Kludges  <engine_hotfixes.lua>
    [f=-000001] Loaded unsynced gadget:  Experimental Bots Steps Damages  <unit_stomp.lua>
    [f=-000001] Loaded unsynced gadget:  Explosion_lights    <gfx_explosion_lights.lua>
    [f=-000001] Loaded unsynced gadget:  FPS Broadcast       <fps_broadcast.lua>
    [f=-000001] Loaded unsynced gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=-000001] Loaded unsynced gadget:  Fortification Walls  <unit_fort_walls.lua>
    [f=-000001] Loaded unsynced gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=-000001] Loaded unsynced gadget:  Juno Damage         <unit_juno_damage.lua>
    [f=-000001] Loaded unsynced gadget:  Lightning Spash Damage  <unit_lightning_splash_dmg.lua>
    [f=-000001] Loaded unsynced gadget:  LuaUI Reload        <cmd_luaui_reload.lua>
    [f=-000001] Loaded unsynced gadget:  Merc/Scr stockpile control  <unit_mercscr_stockpile_limit.lua>
    [f=-000001] Loaded unsynced gadget:  NanoTC Platforms    <unit_nanotcplat.lua>
    [f=-000001] Loaded unsynced gadget:  No Share Self-D     <unit_prevent_share_self_d.lua>
    [f=-000001] Loaded unsynced gadget:  PlasmaAutoHighTraj  <unit_plasma_auto_hightraj.lua>
    [f=-000001] Loaded unsynced gadget:  PopUpWaterStructures  <unit_pop_up_water_structures.lua>
    [f=-000001] Loaded unsynced gadget:  Prevent Lab Hax2    <unit_prevent_lab_hax2.lua>
    [f=-000001] Loaded unsynced gadget:  Prevent Unload Hax  <unit_prevent_unload_hax.lua>
    [f=-000001] Loaded unsynced gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=-000001] Loaded unsynced gadget:  Reclaim effect      <gfx_reclaim_fx.lua>
    [f=-000001] Loaded unsynced gadget:  ReverseMovementHandler  <unit_reverse_move.lua>
    [f=-000001] Loaded unsynced gadget:  SeaPlatforms        <unit_sea_platform.lua>
    [f=-000001] Loaded unsynced gadget:  Shipyards Collisions  <unit_shipyardcollisions.lua>
    [f=-000001] Loaded unsynced gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=-000001] Loaded unsynced gadget:  System info         <system_info.lua>
    [f=-000001] Loaded unsynced gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=-000001] Loaded unsynced gadget:  Thrusters           <lups_thrusters.lua>
    [f=-000001] Loaded unsynced gadget:  Transportee Hider   <unit_transportee_hider.lua>
    [f=-000001] Loaded unsynced gadget:  TurnRadius          <unit_airunitsturnradius.lua>
    [f=-000001] Loaded unsynced gadget:  Unally on demand    <cmd_alliance_break.lua>
    [f=-000001] Loaded unsynced gadget:  Xmas effects        <unit_xmas.lua>
    [f=-000001] Loaded unsynced gadget:  cmd_remove_stop.lua  <cmd_remove_stop.lua>
    [f=-000001] Loaded unsynced gadget:  cmd_remove_wait.lua  <cmd_remove_wait.lua>
    [f=-000001] Loaded unsynced gadget:  feature_debris_physics.lua  <feature_debris_physics.lua>
    [f=-000001] Loaded unsynced gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=-000001] Loaded unsynced gadget:  game_No_Gib_Damage.lua  <game_no_gib_damage.lua>
    [f=-000001] Loaded unsynced gadget:  game_no_share_to_enemy  <game_no_share_to_enemy.lua>
    [f=-000001] Loaded unsynced gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=-000001] Loaded unsynced gadget:  lib_startpoint_guesser.lua  <lib_startpoint_guesser.lua>
    [f=-000001] Loaded unsynced gadget:  mex_spot_finder.lua  <mex_spot_finder.lua>
    [f=-000001] Loaded unsynced gadget:  mo_ffa              <mo_ffa.lua>
    [f=-000001] Loaded unsynced gadget:  transportfix        <unit_transportfix.lua>
    [f=-000001] Loaded unsynced gadget:  unit_custommaxranges.lua  <unit_custommaxranges.lua>
    [f=-000001] Loaded unsynced gadget:  Airbase Manager     <unit_airbase.lua>
    [f=-000001] Loaded unsynced gadget:  Area Attack         <unit_areaattack.lua>
    [f=-000001] Loaded unsynced gadget:  Control Victory     <game_controlvictory.lua>
    [f=-000001] Loaded unsynced gadget:  CustomUnitShaders   <gfx_customunitshaders.lua>
    [f=-000001] Loaded unsynced gadget:  Give Command        <cmd_give.lua>
    [f=-000001] Loaded unsynced gadget:  Take Manager        <cmd_idle_players.lua>
    [f=-000001] Loaded unsynced gadget:  Undo Self Destruction Havoc  <cmd_undo.lua>
    [f=-000001] Loaded unsynced gadget:  Substitution        <game_replace_afk_players.lua>
    [f=-000001] Loaded unsynced gadget:  resurrected param   <unit_resurrected.lua>
    [f=-000001] Loaded unsynced gadget:  Lups Cloak FX       <lups_cloak_fx.lua>
    [f=-000001] Loaded unsynced gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=-000001] Loaded unsynced gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=-000001] Loaded unsynced gadget:  Fighter radius      <unit_fighterradius.lua>
    [f=-000001] Loaded unsynced gadget:  Lups                <lups_wrapper.lua>
    [f=-000001] Loaded unsynced gadget:  Profiler            <dbg_profiler.lua>
    [f=-000001] Loaded unsynced gadget:  Version Warning     <version_warning.lua>
    [f=-000001] Loading LuaGaia
    [f=-000001] Loading LuaUI
    [f=-000001] LuaUI Entry Point: "luaui.lua"
    [f=-000001] LuaUI Access Lock: enabled
    [f=-000001] LuaSocket Enabled: yes
    [f=-000001] Using LUAUI_DIRNAME = LuaUI/
    [f=-000001] Reloading GUI config from file: LuaUI/ctrlpanel.txt
    [f=-000001] LuaUI: bound F11 to the widget selector
    [f=-000001] LuaUI: bound CTRL+F11 to tweak mode
    [f=-000001] LuaUI: Allowing User Widgets
    [f=-000001] [ChickenDefense: Chicken Team Colour] Deactivated!
    [f=-000001] [ChickenDefense: Chicken Panel] Deactivated!
    [f=-000001] Loading widget from mod:   Widget Selector     <widget_selector.lua> ...
    [f=-000001] Loading widget from mod:   Spy move/reclaim defaults  <unit_default_spy_move_cloaked.lua> ...
    [f=-000001] Loading widget from mod:   Tooltip             <gui_tooltip.lua> ...
    [f=-000001] Loading widget from mod:   Unit Stats          <gui_unit_stats.lua> ...
    [f=-000001] Loading widget from mod:   Deferred rendering  <gfx_deferred_rendering.lua> ...
    [f=-000001] Loading widget from mod:   Red_UI_Framework    <red_ui_framework.lua> ...
    [f=-000001] Loading widget from mod:   Top Bar             <gui_top_bar.lua> ...
    [f=-000001] Loading widget from mod:   TeamStats           <gui_teamstats.lua> ...
    [f=-000001] Loading widget from mod:   Metalspot Finder    <api_metalspot_finder.lua> ...
    [f=-000001] Loading widget from mod:   Player Color Palette  <gui_player_color_palette.lua> ...
    [f=-000001] Loading widget from mod:   Shadow Quality Manager  <gfx_shadow_quality_manager.lua> ...
    [f=-000001] Set "shadows" config-parameter to 1
    [f=-000001] Loading widget from mod:   Pause Screen        <gui_pausescreen.lua> ...
    [f=-000001] Loading widget from mod:   Faction Change      <gui_faction_change.lua> ...
    [f=-000001] Loading widget from mod:   MexUpg Helper       <cmd_mex_upgrade_helper.lua> ...
    [f=-000001] Loading widget from mod:   Red Tooltip         <gui_red_tooltip.lua> ...
    [f=-000001] Loading widget from mod:   BA cmdcolors        <gfx_mod_cmdcolors.lua> ...
    [f=-000001] Loading widget from mod:   Defense Range       <gui_defenserange.lua> ...
    [f=-000001] Loading widget from mod:   Snow                <gfx_snow.lua> ...
    [f=-000001] Loading widget from mod:   Ally Selected Units   <gui_allyselectedunits.lua> ...
    [f=-000001] Loading widget from mod:   Health Bars         <gui_healthbars.lua> ...
    [f=-000001] Loading widget from mod:   Map Info            <gui_mapinfo.lua> ...
    [f=-000001] Loading widget from mod:   AdvPlayersList      <gui_advplayerslist.lua> ...
    [f=-000001] Loading widget from mod:   AdvPlayersList info  <gui_advplayerslist_displayinfo.lua> ...
    [f=-000001] frames-per-second indicator is disabled!
    [f=-000001] small digital clock is disabled!
    [f=-000001] simulation speed indicator is disabled!
    [f=-000001] Loading widget from mod:   Clearmapmarks button  <gui_clearmapmarks.lua> ...
    [f=-000001] Loading widget from mod:   AdvPlayersList lockcamera  <gui_advplayerslist_lockcamera.lua> ...
    [f=-000001] frames-per-second indicator is disabled!
    [f=-000001] small digital clock is disabled!
    [f=-000001] simulation speed indicator is disabled!
    [f=-000001] Loading widget from mod:   BuildETA            <gui_build_eta.lua> ...
    [f=-000001] Loading widget from mod:   Initial Queue       <unit_initial_queue.lua> ...
    [f=-000001] Loading widget from mod:   AllyCursors         <gui_ally_cursors.lua> ...
    [f=-000001] Loading widget from mod:   Alternate Chat Keys  <cmd_old_style_chat_keys.lua> ...
    [f=-000001] Loading widget from mod:   Auto First Build Facing  <unit_autofirstbuildfacing.lua> ...
    [f=-000001] Loading widget from mod:   Autoquit            <cmd_autoquit.lua> ...
    [f=-000001] Loading widget from mod:   BA LOS colors       <gui_ba_los_colors.lua> ...
    [f=-000001] Loading widget from mod:   Blast Radius        <gui_blast_radius.lua> ...
    [f=-000001] Loading widget from mod:   Camera Remember     <camera_remember_mode.lua> ...
    [f=-000001] Loading widget from mod:   CameraFlip          <camera_flip.lua> ...
    [f=-000001] Loading widget from mod:   Darken map          <gfx_darken_map.lua> ...
    [f=-000001] Loading widget from mod:   EMP + decloak range  <gui_emp_decloak_range.lua> ...
    [f=-000001] Loading widget from mod:   Highlight Geos      <gui_highlight_geos.lua> ...
    [f=-000001] Loading widget from mod:   Ignore List API     <api_ignore.lua> ...
    [f=-000001] Loading widget from mod:   LOS View            <gfx_los_view.lua> ...
    [f=-000001] Loading widget from mod:   Loop Select         <unit_loop_select.lua> ...
    [f=-000001] Loading widget from mod:   Mex Snap            <cmd_mex_snap.lua> ...
    [f=-000001] Loading widget from mod:   Persistent Build Spacing  <cmd_persistent_build_spacing.lua> ...
    [f=-000001] Loading widget from mod:   DontMove            <unit_dontmove.lua> ...
    [f=-000001] Loading widget from mod:   ReclaimInfo         <gui_reclaiminfo.lua> ...
    [f=-000001] Loading widget from mod:   Red Build/Order Menu  <gui_red_buildordermenu.lua> ...
    [f=-000001] Loading widget from mod:   Red_Drawing         <red_ui_framework_drawing.lua> ...
    [f=-000001] Loading widget from mod:   RelativeMinimap     <minimap_relative.lua> ...
    [f=-000001] Loading widget from mod:   Share Tracker       <unit_share_tracker.lua> ...
    [f=-000001] Loading widget from mod:   Show Orders         <gui_show_orders.lua> ...
    [f=-000001] Loading widget from mod:   Holdfire Fix        <cmd_holdfire_fix.lua> ...
    [f=-000001] Loading widget from mod:   SmartSelect         <unit_smart_select.lua> ...
    [f=-000001] Loading widget from mod:   Selected Units Buttons  <gui_selected_units_buttons.lua> ...
    [f=-000001] Loading widget from mod:   SmoothCam           <camera_smoothcam.lua> ...
    [f=-000001] Loading widget from mod:   Spectate Selected   <gui_spectate_selected.lua> ...
    [f=-000001] Loading widget from mod:   State Reverse Toggle  <cmd_state_reverse_toggle.lua> ...
    [f=-000001] Loading widget from mod:   Statistics Collection  <stats_damage.lua> ...
    [f=-000001] Loading widget from mod:   Area Mex            <cmd_area_mex.lua> ...
    [f=-000001] Area Mex: Loaded for BA or NOTA
    [f=-000001] Mexmap detected - loading...
    [f=-000001] mexmap imported from LuaUI/Widgets_BA/MetalMaps/deltasiegeprime ultimate.springmexmap
    [f=-000001] Loading widget from mod:   Load Own Moving     <unit_load_own_moving.lua> ...
    [f=-000001] Loading widget from mod:   Stop means Stop     <cmd_stop_selfd.lua> ...
    [f=-000001] Loading widget from mod:   Light Effects       <gfx_light_effects.lua> ...
    [f=-000001] Loading widget from mod:   Red Console (Battle and autohosts)  <gui_red_battleroom.lua> ...
    [f=-000001] Loading widget from mod:   Take Proxy          <cmd_take_proxy.lua> ...
    [f=-000001] Loading widget from mod:   Red Console (In-game chat only)  <gui_red_chatonlyconsole.lua> ...
    [f=-000001] Loading widget from mod:   Unit Finished Sounds  <snd_unit_finished.lua> ...
    [f=-000001] Loading widget from mod:   Volume OSD          <snd_volume_osd.lua> ...
    [f=-000001] Loading widget from mod:   gui_transport_weight_limit  <gui_transport_weight_limit.lua> ...
    [f=-000001] Loading widget from mod:   Comblast & Dgun Range  <gui_comblast_dgun_range.lua> ...
    [f=-000001] Loading widget from mod:   Ghost Site          <unit_ghostsite.lua> ...
    [f=-000001] Loading widget from mod:   Start Boxes         <map_startbox.lua> ...
    [f=-000001] Loading widget from mod:   GameTypeInfo        <gui_game_type_info.lua> ...
    [f=-000001] Loading widget from mod:   Passive builders    <unit_passive_builders.lua> ...
    [f=-000001] Loading widget from mod:   Auto Group          <unit_auto_group.lua> ...
    [f=-000001] Loading widget from mod:   Factory hold position  <cmd_fac_holdposition.lua> ...
    [f=-000001] Loading widget from mod:   NoDuplicateOrders   <cmd_no_duplicate_orders.lua> ...
    [f=-000001] Loading widget from mod:   Build Split         <cmd_buildsplit.lua> ...
    [f=-000001] Loading widget from mod:   Com DontBreakCloak  <unit_com_dontbreakcloak.lua> ...
    [f=-000001] Loading widget from mod:   Easy Facing         <gui_easyfacing.lua> ...
    [f=-000001] Loading widget from mod:   ImmobileBuilder     <unit_immobile_builder.lua> ...
    [f=-000001] Loading widget from mod:   BuildBar            <gui_buildbar.lua> ...
    [f=-000001] Loading widget from mod:   Specific Unit Reclaimer  <unit_specific_unit_reclaimer.lua> ...
    [f=-000001] Loading widget from mod:   Ghost Radar         <unit_ghostradar.lua> ...
    [f=-000001] Loading widget from mod:   Stockpiler (dynamic)  <unit_stockpile_dynamic.lua> ...
    [f=-000001] Loading widget from mod:   First launch setup  <gfx_firstlaunchsetup.lua> ...
    [f=-000001] Loading widget from mod:   Ecostats            <gui_ecostats.lua> ...
    [f=-000001] Ecostats: widget loaded in spectator mode
    [f=-000001] Loading widget from mod:   Attack AoE          <gui_attack_aoe.lua> ...
    [f=-000001] Loading widget from mod:   BA Hotkeys          <cmd_ba_hotkeys.lua> ...
    [f=-000001] Loading widget from mod:   Prospector          <gui_prospector.lua> ...
    [f=-000001] Loading widget from mod:   Cursors             <gfx_cursors.lua> ...
    [f=-000001] Loading widget from mod:   Context Build       <cmd_context_build.lua> ...
    [f=-000001] Loading widget from mod:   Attack and Move Notification  <unit_attackmovenotification.lua> ...
    [f=-000001] Loading widget from mod:   Changelog Info      <gui_changelog_info.lua> ...
    [f=-000001] Loading widget from mod:   Commands info       <gui_commands_info.lua> ...
    [f=-000001] Loading widget from mod:   Options             <gui_options.lua> ...
    [f=-000001] Loading widget from mod:   Keybind/Mouse Info  <gui_keybind_info.lua> ...
    [f=-000001] Loading widget from mod:   Game info           <gui_gameinfo.lua> ...
    [f=-000001] Loading widget from mod:   Commands FX         <gui_commands_fx.lua> ...
    [f=-000001] Loading widget from mod:   Mouse FX            <gui_mouse_fx.lua> ...
    [f=-000001] Loading widget from mod:   Mapmarks FX         <gui_mapmarks_fx.lua> ...
    [f=-000001] Loading widget from mod:   Anti Ranges         <gui_anti_ranges.lua> ...
    [f=-000001] Loading widget from mod:   EnemySpotter        <gui_enemy_spotter.lua> ...
    [f=-000001] Loading widget from mod:   Given Units         <gui_given_units.lua> ...
    [f=-000001] Loading widget from mod:   Highlight Unit      <gui_highlight_unit.lua> ...
    [f=-000001] Loading widget from mod:   Rank Icons          <gui_xp.lua> ...
    [f=-000001] Loading widget from mod:   Resurrection Halos  <gui_resurrection_halos.lua> ...
    [f=-000001] Loading widget from mod:   Self-Destruct icons  <gui_selfd_icons.lua> ...
    [f=-000001] Loading widget from mod:   Waypoint Dragger    <unit_waypoint_dragger_2.lua> ...
    [f=-000001] Loading widget from mod:   Bomber control      <unit_bomber_control.lua> ...
    [f=-000001] Loading widget from mod:   CommandInsert       <cmd_commandinsert.lua> ...
    [f=-000001] Loading widget from mod:   Select n Center!    <gui_center_n_select.lua> ...
    [f=-000001] Loading widget from mod:   Set fighters on Fly mode  <unit_set_fighters_fly.lua> ...
    [f=-000001] Loading widget from mod:   Tombstones          <unit_tombstones.lua> ...
    [f=-000001] Loading widget from mod:   LupsManager         <gfx_lups_manager.lua> ...
    [f=-000001] Loading widget from mod:   replay buttons      <gui_replaybuttons.lua> ...
    [f=-000001] [Replay Control] Replay not detected, Shutting Down.
    [f=-000001] Loading widget from mod:   Highlight Selected Units  <gui_highlight_selectedunits.lua> ...
    [f=-000001] Reloaded cmdcolors from file: cmdcolors.tmp
    [f=-000001] Loading widget from mod:   Mouse Buildspacing  <gui_buildspacing.lua> ...
    [f=-000001] Loading widget from mod:   Lups                <gfx_lups_wrapper.lua> ...
    [f=-000001] Loading widget from mod:   CustomFormations2   <cmd_customformations2.lua> ...
    [f=-000001] LuaUI v0.3
    [f=-000001] [Game::LoadGame][5] globalQuit=0 forcedQuit=0
    [f=-000001] [LoadFinalize] finalizing PFS
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] BLOCK_SIZE=16
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] PATHESTIMATOR_VERSION=89
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] heightMapChecksum=3463590f
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] typeMapChecksum=eed931b1
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] moveDefChecksum=8674208
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] blockMapChecksum=29a
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] estimatorHashCode=2ba3cfcb
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=2ba3cfcb file="cache\104dev-maintenance/paths/DeltaSiegePrime Ultimate.pe-2ba3cfcb.zip" (exists=1)
    [f=-000001] Reading Estimate PathCosts [16]
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] BLOCK_SIZE=32
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] PATHESTIMATOR_VERSION=89
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] heightMapChecksum=3463590f
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] typeMapChecksum=eed931b1
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] moveDefChecksum=8674208
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] blockMapChecksum=29a
    [f=-000001] [Path] [PathEstimator::CalcHash][CPathEstimator] estimatorHashCode=2ba3cfdb
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=2ba3cfdb file="cache\104dev-maintenance/paths/DeltaSiegePrime Ultimate.pe2-2ba3cfdb.zip" (exists=1)
    [f=-000001] Reading Estimate PathCosts [32]
    [f=-000001] [LoadFinalize] finalized PFS (882ms, checksum 13149e43)
    [f=-000001] [Game::LoadGame][6] globalQuit=0 forcedQuit=0
    [f=-000001] [LuaMemPool::LogStats][handle=LuaIntro (unsynced)] index=1 {blocks,sizes}={0,0} {int,ext,rec}Allocs={0,12848,0} {chunk,block}Bytes={0,0}
    [f=-000001] GameID: 51c9435a89a53d536e508453d24e25fb
    [f=-000001] Connection attempt from [GODBLESS]redshirt
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 8)
    [f=-000001] Connection attempt from [ACE]TheCatImperator
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 23)
    [f=-000001] Connection attempt from Pussydolf
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 17)
    [f=-000001] Connection attempt from Pickle
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 1)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[GODBLESS]redshirt" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[GODBLESS]redshirt" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Pussydolf" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Pussydolf" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] Connection attempt from Bakemono
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 6)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[ACE]TheCatImperator" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[ACE]TheCatImperator" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Pickle" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Pickle" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] Connection attempt from MonsieurConnard
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 10)
    [f=-000001] [Game::ClientReadNet] added new player [LOeT]NEO with number 28 to team 0
    [f=-000001] Connection attempt from MyOwnOwner1
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 26)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Bakemono" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Bakemono" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] Connection attempt from [STFU]sips1
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 13)
    [f=-000001] Connection attempt from [Fx]Bluestone
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 19)
    [f=-000001] Connection attempt from ANL[ice]r
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 9)
    [f=-000001] Connection attempt from Sadist1
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 11)
    [f=-000001] Connection attempt from Fazer
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 18)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="MyOwnOwner1" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="MyOwnOwner1" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] Connection attempt from [PinK]triton
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 16)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="MonsieurConnard" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="MonsieurConnard" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] Connection attempt from vanderfurr
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 2)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[STFU]sips1" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[STFU]sips1" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] Connection attempt from Banc0mat
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 5)
    [f=-000001] Connection attempt from ZafirPL
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 25)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[Fx]Bluestone" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[Fx]Bluestone" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] Connection attempt from Nordfriese
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 27)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Sadist1" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Sadist1" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="ANL[ice]r" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="ANL[ice]r" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[PinK]triton" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[PinK]triton" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Fazer" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Fazer" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="vanderfurr" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="vanderfurr" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] Connection attempt from BoyLover
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 3)
    [f=-000001] Connection attempt from vbs
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 14)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Banc0mat" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Banc0mat" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] Connection attempt from [PiRO]JiZaH
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 20)
    [f=-000001] Connection attempt from aleksey[HiGH]
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 7)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="ZafirPL" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="ZafirPL" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Nordfriese" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Nordfriese" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="vbs" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="vbs" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[PiRO]JiZaH" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[PiRO]JiZaH" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] Connection attempt from Reaper
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 4)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="aleksey[HiGH]" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="aleksey[HiGH]" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="BoyLover" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="BoyLover" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Reaper" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Reaper" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] Connection attempt from [PinK]pta[Q___Q]
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 0)
    [f=-000001] Connection attempt from Floris
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 15)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[PinK]pta[Q___Q]" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[PinK]pta[Q___Q]" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Floris" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Floris" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] Connection attempt from [LOeT]NEO
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 28)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[LOeT]NEO" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[LOeT]NEO" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] Connection attempt from Senethrilll
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 12)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Senethrilll" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Senethrilll" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Pussydolf" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="MyOwnOwner1" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Pickle" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="vanderfurr" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Banc0mat" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="aleksey[HiGH]" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[STFU]sips1" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[PinK]triton" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="vbs" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Sadist1" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[Fx]Bluestone" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[PiRO]JiZaH" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="ZafirPL" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Fazer" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="aleksey[HiGH]" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="vanderfurr" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Reaper" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Pussydolf" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Banc0mat" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Pickle" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[GODBLESS]redshirt" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="BoyLover" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[STFU]sips1" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Floris" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="ANL[ice]r" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="vbs" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="MyOwnOwner1" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Floris" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[ACE]TheCatImperator" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Sadist1" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[PinK]triton" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[PiRO]JiZaH" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[Fx]Bluestone" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [[Fx]Bluestone] Private: My player ID is 19
    [f=-000001] [[Fx]Bluestone] Private: My player ID is 19
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Bakemono" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] <aleksey[HiGH]> almost 8v8
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Fazer" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Reaper" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="MonsieurConnard" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Senethrilll" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Nordfriese" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="ZafirPL" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Bakemono" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="BoyLover" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[LOeT]NEO" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[GODBLESS]redshirt" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="MonsieurConnard" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Senethrilll" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="ANL[ice]r" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[LOeT]NEO" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[ACE]TheCatImperator" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[PinK]pta[Q___Q]" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=a764d8f9ff306eab6bc32ec834d0726631437a233265c4ebd32afe3efc7c5e51038682e1ff760b11bb810c5319e57164c7a99df76d57e133fb066777443c85c5]"
    [f=-000001] aleksey[HiGH] added point: go front?
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Nordfriese" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [GR::LogDisplayMode] display-mode set to 1352x810x24bpp@60Hz (windowed::decorated)
    [f=-000001] [GR::LogDisplayMode] display-mode set to 1916x1054x24bpp@60Hz (windowed::decorated)
    [f=-000001] <Sadist1> Not waiting for another 114 players? :D
    [f=-000001] [GR::LogDisplayMode] display-mode set to 1920x1018x24bpp@60Hz (windowed::decorated)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[PinK]pta[Q___Q]" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=b548fe2a5112d918a5114711e8ccabd513bfb0081ce17238cc83edf583e129db4b6dfb0184dac19e31383632917b9e6597a8713a6a449c3e9fe27d48758794f9]"
    [f=-000001] [[LOeT]NEO] RE!
    [f=-000001] <[STFU]sips1> redshirt do u like captn. archer?
    [f=-000001] [[PinK]triton] no re
    [f=-000001] [STFU]sips1 added point: no
    [f=-000001] [[LOeT]NEO] re now
    [f=-000001] <aleksey[HiGH]> re for NEO and triton!
    [f=-000001] [[PinK]triton] we only re if players fail to start
    [f=-000001] [[LOeT]NEO] need 8vs8
    [f=-000001] Spectator [ACE]TheCatImperator left the game:  normal quit
    [f=-000001] <aleksey[HiGH]> plz, make this 8v8
    [f=-000001] <[STFU]sips1> dennisss
    [f=-000001] [[PinK]triton] next one dude
    [f=-000001] > <[ACE]TheCatImperator> call a vote, neo.
    [f=-000001] <[PinK]pta[Q___Q]> !ring pick
    [f=-000001] > BAStable3 * Ringing Pickle (by [PinK]pta[Q___Q])
    [f=-000001] <Sadist1> glhf
    [f=-000001] <Reaper> !forcestart
    [f=-000001] > BAStable3 * Reaper called a vote for command "forcestart" [!vote y, !vote n, !vote b]
    [f=-000001] > BAStable3 * 15 users allowed to vote.
    [f=-000001] [[PinK]triton] !y
    [f=-000001] > BAStable3 * [PinK]triton, you are not allowed to vote for current vote.
    [f=-000001] <Reaper> !ring
    [f=-000001] > BAStable3 * Ringing 14 remaining voters (by Reaper)
    [f=-000001] [Game::ClientReadNet] added new player [PinK]Grass with number 29 to team 0
    [f=-000001] <Sadist1> !b
    [f=-000001] > BAStable3 * Vote in progress: "forcestart" [y:1/8, n:0/8] (33s remaining)
    [f=-000001] Connection attempt from [PinK]Grass
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection established (given id 29)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[PinK]Grass" string="[PreGame::GameDataReceived][map-checksums={0xcb8dafe1,0xcb8dafe1}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[PinK]Grass" string="[PreGame::GameDataReceived][mod-checksums={0x6d7c0d5b,0x6d7c0d5b}]"
    [f=-000001] <[PinK]pta[Q___Q]> !forcestart 
    [f=-000001] > BAStable3 * Forcing game start by [PinK]pta[Q___Q]
    [f=-000001] > BAStable3 * Cancelling "forcestart" vote (command executed directly by [PinK]pta[Q___Q])
    [f=-000001] Reconnection attempt from BoyLover
    [f=-000001]  -> Version: 104.0.1-104-g2135e2e maintenance
    [f=-000001]  -> Connection reestablished (id 3)
    [f=-000001] Spectator [PiRO]JiZaH left the game:  normal quit
    [f=-000001] Error: Spring 104.0.1-104-g2135e2e maintenance has crashed.
    [f=-000001] Error: DLL information:
    [f=-000001] Error: 0x00400000	spring
    [f=-000001] Error: 0x77b20000	ntdll
    [f=-000001] Error: 0x77070000	kernel32
    [f=-000001] Error: 0x76f80000	KERNELBASE
    [f=-000001] Error: 0x775e0000	ADVAPI32
    [f=-000001] Error: 0x77530000	msvcrt
    [f=-000001] Error: 0x76210000	sechost
    [f=-000001] Error: 0x76d00000	RPCRT4
    [f=-000001] Error: 0x753c0000	SspiCli
    [f=-000001] Error: 0x753b0000	CRYPTBASE
    [f=-000001] Error: 0x73d00000	GLU32
    [f=-000001] Error: 0x73d30000	OPENGL32
    [f=-000001] Error: 0x772f0000	GDI32
    [f=-000001] Error: 0x76230000	USER32
    [f=-000001] Error: 0x76170000	LPK
    [f=-000001] Error: 0x76fd0000	USP10
    [f=-000001] Error: 0x71fd0000	DDRAW
    [f=-000001] Error: 0x71d60000	DCIMAN32
    [f=-000001] Error: 0x763c0000	SETUPAPI
    [f=-000001] Error: 0x76960000	CFGMGR32
    [f=-000001] Error: 0x75420000	OLEAUT32
    [f=-000001] Error: 0x77180000	ole32
    [f=-000001] Error: 0x763a0000	DEVOBJ
    [f=-000001] Error: 0x71d40000	dwmapi
    [f=-000001] Error: 0x761e0000	IMAGEHLP
    [f=-000001] Error: 0x75520000	SHELL32
    [f=-000001] Error: 0x76180000	SHLWAPI
    [f=-000001] Error: 0x77390000	WS2_32
    [f=-000001] Error: 0x77450000	NSI
    [f=-000001] Error: 0x10000000	DevIL
    [f=-000001] Error: 0x6fe30000	MSVCP80
    [f=-000001] Error: 0x72b60000	MSVCR80
    [f=-000001] Error: 0x6b800000	OpenAL32
    [f=-000001] Error: 0x720c0000	WINMM
    [f=-000001] Error: 0x70780000	vorbisfile
    [f=-000001] Error: 0x68140000	ogg
    [f=-000001] Error: 0x64cc0000	vorbis
    [f=-000001] Error: 0x62e80000	zlib1
    [f=-000001] Error: 0x70e40000	libfreetype-6
    [f=-000001] Error: 0x65180000	libfontconfig-1
    [f=-000001] Error: 0x68f40000	libexpat-1
    [f=-000001] Error: 0x6ef80000	glew32
    [f=-000001] Error: 0x6c740000	SDL2
    [f=-000001] Error: 0x773e0000	IMM32
    [f=-000001] Error: 0x77460000	MSCTF
    [f=-000001] Error: 0x72d20000	VERSION
    [f=-000001] Error: 0x73840000	nvapi
    [f=-000001] Error: 0x76f50000	profapi
    [f=-000001] Error: 0x71cc0000	uxtheme
    [f=-000001] Error: 0x696a0000	nvoglv32
    [f=-000001] Error: 0x76e90000	WINTRUST
    [f=-000001] Error: 0x76bd0000	CRYPT32
    [f=-000001] Error: 0x773d0000	MSASN1
    [f=-000001] Error: 0x72b20000	ntmarta
    [f=-000001] Error: 0x754d0000	WLDAP32
    [f=-000001] Error: 0x77690000	CLBCatQ
    [f=-000001] Error: 0x72160000	shfolder
    [f=-000001] Error: 0x73340000	MMDevApi
    [f=-000001] Error: 0x73bf0000	PROPSYS
    [f=-000001] Error: 0x73120000	dsound
    [f=-000001] Error: 0x72cf0000	POWRPROF
    [f=-000001] Error: 0x73800000	AUDIOSES
    [f=-000001] Error: 0x6e0e0000	mswsock
    [f=-000001] Error: 0x70550000	wship6
    [f=-000001] Error: 0x6fe00000	wshtcpip
    [f=-000001] Error: 0x73030000	dbghelp
    [f=-000001] Error: Exception: Access violation (0xc0000005)
    [f=-000001] Error: Exception Address: 0x00780bb0
    [f=-000001] Error: Stacktrace for Spring 104.0.1-104-g2135e2e maintenance:
    [f=-000001] Error: 	[ProgCtr=00780bb0 StackPtr=0028b1e0 FramePtr=0028b2c8]
    [f=-000001] Error: 	(0) C:\Users\Nic\Documents\My Games\Spring\engine\104.0.1-104-g2135e2e maintenance\spring.exe [0x00780BB0]
    [f=-000001] Error: 	(1) C:\Users\Nic\Documents\My Games\Spring\engine\104.0.1-104-g2135e2e maintenance\spring.exe [0x00A8A0B6]
    [f=-000001] Error: 	(2) C:\Users\Nic\Documents\My Games\Spring\engine\104.0.1-104-g2135e2e maintenance\spring.exe [0x00B41A00]
    [f=-000001] Error: 	(3) C:\Users\Nic\Documents\My Games\Spring\engine\104.0.1-104-g2135e2e maintenance\spring.exe [0x00B64848]
    [f=-000001] Error: 	(4) C:\Users\Nic\Documents\My Games\Spring\engine\104.0.1-104-g2135e2e maintenance\spring.exe [0x005C60EE]
    [f=-000001] Error: 	(5) C:\Users\Nic\Documents\My Games\Spring\engine\104.0.1-104-g2135e2e maintenance\spring.exe [0x009234C0]
    [f=-000001] Error: 	(6) C:\Users\Nic\Documents\My Games\Spring\engine\104.0.1-104-g2135e2e maintenance\spring.exe [0x009268A9]
    [f=-000001] Error: 	(7) C:\Users\Nic\Documents\My Games\Spring\engine\104.0.1-104-g2135e2e maintenance\spring.exe [0x00923780]
    [f=-000001] [WatchDog::DeregisterThread] deregistering controls for thread [main]
    [f=-000001] Error: [ExitSpringProcess] errorMsg="Spring has crashed:
      Access violation.
    
    A stacktrace has been written to:
      C:\Users\Nic\Documents\My Games\Spring\infolog.txt" msgCaption="Spring: Unhandled exception" mainThread=1
    [f=-000001] Error: [Watchdog::ClearTimer(id)] Invalid thread 4 (_threadId=00000000)
    [f=-000001] [SpringApp::Kill][1] fromRun=0
    [f=-000001] [ThreadPool::SetThreadCount][1] wanted=0 current=3 maximum=4 (init=0)
    [f=-000001] 	[async=0] threads=3 tasks=516 {sum,avg}{exec,wait}time={{26815615859885194199148049996411692254958731641184786755447122887443528060147093953603748596333806855380063716372972101707507765623893139892867298012168192.000, -2.000}, {-0.000, 26815622287566626335290622615003274890972462010044865808507965606319473818458994991722612515378499141899171976077921738932836019727082840576928899470983168.000}}ms
    [f=-000001] 		thread=1 tasks=258 {sum,min,max,avg}{exec,wait}time={{0.000, 0.000, 0.000, 2.000}, {0.000, 0.000, 0.000, 0.000}}ms
    [f=-000001] 		thread=2 tasks=258 {sum,min,max,avg}{exec,wait}time={{-26815615859885194199148049996411692254958731641184786755447122887443528060147093953603748596333806855380063716372972101707507765623893139892867298012168192.000, 0.000, 0.000, -0.000}, {-0.000, 0.000, -0.000, 26815622246988968213113397636166078715321654225552992079446132079286885067819520390150747116145800511912281323762142483478152671801505207915154643284393984.000}}ms
    [f=-000001] 	[async=1] threads=3 tasks=100 {sum,avg}{exec,wait}time={{-0.000, 0.000}, {-0.000, 0.000}}ms
    [f=-000001] 		thread=1 tasks=50 {sum,min,max,avg}{exec,wait}time={{0.000, 0.000, 0.000, 0.000}, {-0.000, 0.000, 2.000, -26815622279176343588559109391223789089961174147097256647153234088449606544630063039533766365637963450521467482775237632419509864507662517424100554806657024.000}}ms
    [f=-000001] 		thread=2 tasks=50 {sum,min,max,avg}{exec,wait}time={{0.000, 0.000, 0.000, -0.000}, {-26815622238742308240090556074933047356868351600606180067366649602268369961164209790562135124964915057640889562843846700568608119729326669089566503869612032.000, 0.000, 0.000, 0.000}}ms
    [f=-000001] [ThreadPool::SetThreadCount][2] workers=0
    [f=-000001] [SpringApp::Kill][2]
    [f=-000001] [Game::KillLua][0] dtor=0 loadscreen=00000000
    [f=-000001] [Game::KillLua][3] dtor=0 luaUI=28b68150
    [f=-000001] Red_UI_Framework>> last processed widget was "Red Tooltip"
    [f=-000001] frames-per-second indicator is enabled!
    [f=-000001] small digital clock is enabled!
    [f=-000001] simulation speed indicator is enabled!
    [f=-000001] Red_Drawing>> last processed widget was "Red Tooltip"
    [f=-000001] Reloaded cmdcolors from file: cmdcolors.tmp
    [f=-000001] [LuaMemPool::LogStats][handle=LuaUI (unsynced)] index=4294967295 {blocks,sizes}={0,0} {int,ext,rec}Allocs={0,5762527,0} {chunk,block}Bytes={0,0}
    [f=-000001] [Game::KillLua][1] dtor=0 luaGaia=00000000
    [f=-000001] [Game::KillLua][2] dtor=0 luaRules=28c1a800
    [f=-000001] [LuaMemPool::LogStats][handle=LuaRules (unsynced)] index=4294967295 {blocks,sizes}={0,0} {int,ext,rec}Allocs={0,5762529,0} {chunk,block}Bytes={0,0}
    [f=-000001] [LuaMemPool::LogStats][handle=LuaRules (synced)] index=4294967295 {blocks,sizes}={0,0} {int,ext,rec}Allocs={0,5762529,0} {chunk,block}Bytes={0,0}
    [f=-000001] [Game::KillLua][4] dtor=0
    [f=-000001] [~CDemoRecorder] writing demo "C:\Users\Nic\Documents\My Games\Spring\demos\20171227_162535_DeltaSiegePrime Ultimate_104.0.1-104-g2135e2e maintenance.sdfz"
    [f=-000001] [Sound] [~CSound][1] soundThread=0527bcec
    [f=-000001] [WatchDog::DeregisterThread] deregistering controls for thread [audio]
    [f=-000001] [Sound] [Sound::UpdateThread][3] efx=052488c8
    [f=-000001] [Sound] [Sound::UpdateThread][4] ctx=050f8270 dev=0529dc50
    [f=-000001] [Sound] [Sound::UpdateThread][5]
    [f=-000001] [Sound] [~CSound][2]
    [f=-000001] [Sound] [~CSound][3]
    [f=-000001] [Game::~CGame][1]
    [f=-000001] [Game::KillLua][0] dtor=1 loadscreen=00000000
    [f=-000001] [Game::KillLua][3] dtor=1 luaUI=00000000
    [f=-000001] [Game::KillLua][1] dtor=1 luaGaia=00000000
    [f=-000001] [Game::KillLua][2] dtor=1 luaRules=00000000
    [f=-000001] [Game::KillLua][4] dtor=1
    [f=-000001] [Game::KillMisc][1]
    [f=-000001] [Game::KillMisc][2]
    [f=-000001] [Game::KillMisc][3]
    [f=-000001] [Game::KillRendering][1]
    [f=-000001] [Game::KillInterface][1]
    [f=-000001] [Game::KillInterface][2]
    [f=-000001] [Game::KillSimulation][1]
    [f=-000001] [Game::KillSimulation][2] unitHandler=05278bc0
    [f=-000001] [CCollisionHandler] dis-/continuous tests: 0/633
    [f=-000001] [Game::KillSimulation][3]
    [f=-000001] [~CPathCache(40x20)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=-000001] [~CPathCache(40x20)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=-000001] [~CPathCache(80x40)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=-000001] [~CPathCache(80x40)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=-000001] Statistics for RectangleOptimizer: 0%
    [f=-000001] Statistics for RectangleOptimizer: 0%
    [f=-000001] LosHandler stats: total instances=2; shared=0%; from cache=50%
    [f=-000001] [Game::KillSimulation][4]
    [f=-000001] [Game::~CGame][2]
    [f=-000001] [Game::~CGame][3]
    [f=-000001] [SpringApp::Kill][3]
    [f=-000001] [UDPConnection::Statistics]
    	Received: 157471 bytes in 2583 packets (21133736365496265082350371405278639398297507955326829898063920944425621919150995290296243913478045642834127374924009060113250924564716752468546392508200021157654133406354292663454537590329435537410686838996717273088.000000 bytes/package)
    	Sent: 10787 bytes in 740 packets (21133736365496155048838510937626247014938882723187275199498490961108133277981401369038016100337763287881390456671252491451567645414144227576003828325860708674654425658423605471412481364578288681113239627976293744640.000000 bytes/package)
    	Relative protocol overhead: 0.000000 up, 21133736365496155048838510937626247014938882723187275199498490961108133277981401369038016100337763287881390456671252491451567645414144227576003828325860708674654425658423605471412481364578288681113239627976293744640.000000 down
    	2 incoming chunks dropped, 3 outgoing chunks resent
    
    [f=-000001] [SpringApp::Kill][4] font=0508ac10
    [f=-000001] [SpringApp::Kill][5]
    [f=-000001] [SpringApp::Kill][6]
    [SpringApp::Kill][7]
    [LuaSocket] Dumping luasocket rules:
    [LuaSocket] TCP_CONNECT ALLOW * -1
    [LuaSocket] TCP_LISTEN  ALLOW * -1
    [LuaSocket] UDP_CONNECT DENY  47.149.24.21 8011
    [LuaSocket] UDP_LISTEN  ALLOW * -1
    [~CPoolArchive] name="C:\Users\Nic\Documents\My Games\Spring\packages\27b60025beae995ba7953238c9675864.sdp" numZipFiles=6249 sumInflSize=100890kb sumReadTime=495ms
    	file="bitmaps/loadpictures/santabula.jpg" indx=842 inflSize=349kb readTime=12ms
    	file="bitmaps/default/detailtex2.bmp" indx=788 inflSize=257kb readTime=11ms
    	file="luaui/images/advplayerslist/flags/pl.dds" indx=1876 inflSize=0kb readTime=6ms
    	file="luaui/images/advplayerslist/flags/nl.dds" indx=1863 inflSize=0kb readTime=6ms
    	file="luaui/images/advplayerslist/flags/ua.dds" indx=1926 inflSize=0kb readTime=5ms
    	file="luaui/images/advplayerslist/flags/au.dds" indx=1712 inflSize=0kb readTime=5ms
    	file="luaui/images/advplayerslist/flags/be.dds" indx=1719 inflSize=0kb readTime=5ms
    	file="bitmaps/projectiletextures/bigexplosmoke-chickens.tga" indx=899 inflSize=256kb readTime=3ms
    	file="bitmaps/projectiletextures/bigexplo.tga" indx=898 inflSize=256kb readTime=3ms
    	file="luaui/fonts/freesansbold.otf" indx=1590 inflSize=290kb readTime=3ms
    [SpringApp::Kill][8]
    Error: [Watchdog::DeregisterThread] Invalid thread number 0
    [WatchDog::Uninstall][1] hangDetectorThread=00fd9df0 (joinable=1)
    [WatchDog::Uninstall][2]
    [WatchDog::Uninstall][3]
    [SpringApp::Kill][9]
    
    txt file icon infolog.txt (86,640 bytes) 2017-12-27 17:29 +
  • ? file icon 20171227_162535_DeltaSiegePrime Ultimate_104.0.1-104-g2135e2e maintenance.sdfz (61,008 bytes) 2017-12-27 18:24

-Relationships
has duplicate 0005847resolvedKloot crash on gamestart latest 104 maintenance 
+Relationships

-Notes

~0018691

silentwings (reporter)

(https://stacktranslate.springrts.com/index.php seemed to be broken)

~0018692

abma (administrator)

> (https://stacktranslate.springrts.com/index.php seemed to be broken)

no, the dbg file was automaticly deleted:

https://github.com/spring/spring/blob/develop/buildbot/master/cleanup.sh#L7

~0018693

abma (administrator)

can you attach the demo file?

C:\Users\Nic\Documents\My Games\Spring\demos\20171227_162535_DeltaSiegePrime Ultimate_104.0.1-104-g2135e2e maintenance.sdfz

maybe its a synced crash...

~0018694

Kloot (developer)

this looks like sdp model file corruption:

  rts/Sim/Objects/SolidObjectDef.cpp:71
  rts/Sim/Units/Unit.cpp:299
  rts/Sim/Units/UnitLoader.cpp:101
  rts/Lua/LuaSyncedCtrl.cpp:1256
  rts/lib/lua/src/ldo.cpp:321
  rts/lib/lua/src/lvm.cpp:613
  rts/lib/lua/src/ldo.cpp:378

also, it is a *bad idea* to auto-delete symbols belonging to the latest N >= 1 builds.

~0018695

silentwings (reporter)

Attached.

I rejoined the game, did not crash a second time.

~0018696

Kloot (developer)

Last edited: 2017-12-27 20:15

View 2 revisions

probably a duplicate of 0005847 then, similar/equal conditions (joinas + forcestart) appear to have occurred.

replicating this consistently would be extremely useful.

~0018697

abma (administrator)

> also, it is a *bad idea* to auto-delete symbols belonging to the latest N >= 1 builds.

disk space is limited on the server, thats why the script was made. also it exists a lot longer than the maintainance branch ;-)

~0018711

Kloot (developer)

Fix 122fab1916131451f3ac3e2cf044df1fc7269fc1 committed to develop branch: fix 0005855

likely also covers the bulk of other random desync/crash reports post-104, repo: spring changeset id: 9385
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2017-12-27 17:29 silentwings New Issue
2017-12-27 17:29 silentwings File Added: infolog.txt
2017-12-27 17:30 silentwings Note Added: 0018691
2017-12-27 17:52 abma Note Added: 0018692
2017-12-27 17:54 abma Note Added: 0018693
2017-12-27 17:54 abma Status new => feedback
2017-12-27 18:20 Kloot Note Added: 0018694
2017-12-27 18:24 silentwings File Added: 20171227_162535_DeltaSiegePrime Ultimate_104.0.1-104-g2135e2e maintenance.sdfz
2017-12-27 18:24 silentwings Note Added: 0018695
2017-12-27 18:24 silentwings Status feedback => new
2017-12-27 20:14 Kloot Note Added: 0018696
2017-12-27 20:15 Kloot Note Edited: 0018696 View Revisions
2017-12-28 16:45 abma Note Added: 0018697
2018-01-08 01:16 Kloot Changeset attached => spring develop 122fab19
2018-01-08 01:16 Kloot Note Added: 0018711
2018-01-08 01:16 Kloot Assigned To => Kloot
2018-01-08 01:16 Kloot Status new => resolved
2018-01-08 01:16 Kloot Resolution open => fixed
2018-01-08 01:17 Kloot Relationship added has duplicate 0005847
+Issue History